\version "2.18.2"
\paper {
  #(set-paper-size "letter" 'portrait)
}
\include "../../Boilerplate/typesetting_functions.ly"
\include "../../Boilerplate/tree.ly"
#(set-global-staff-size 17)

\include "chant2.ly"
\include "Tone2_C.ly"
\include "Tone2_A.ly"
\include "Tone2_T.ly"
\include "Tone2_B.ly"

fourPart =
#(define-music-function
     (parser location movement)
     (string?)
   #{
  \Quartet #movement "/superius" "/altus" "/tenor" "/bassus"
#}
) 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Actual staff system starts here
\bookpart {
  \header {
    title = "Magnificat"
    composer = "Nicolas Gombert (c. 1495 - c. 1560)"
    subtitle = "Secundi Toni"
    tagline = "" %stop automatic tag at end
  }
%%%				%Subsections of the piece
  \score {
    \keepWithTag #'ori
    \transpose c bes, \chantMovt "magnificat/toneII/magnificat"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Et Exultavit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneII/etEx"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c bes, \chantMovt "magnificat/toneII/quiaRespexit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Quia Fecit"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneII/quFe"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c bes, \chantMovt "magnificat/toneII/etMisericordia"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Fecit potentiam"}
    \keepWithTag #'mod
    \Trio "gombert/magnificat/toneII/fePo" "/altus" "/tenor" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c bes, \chantMovt "magnificat/toneII/deposuit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Esurientes"}
    \keepWithTag #'mod
    \Duet "gombert/magnificat/toneII/esur" "/superius" "/altus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c bes, \chantMovt "magnificat/toneII/suscepit"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut Locutus"}
    \keepWithTag #'mod
    \fourPart "gombert/magnificat/toneII/siLo"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
  \score {
    \keepWithTag #'ori
    \transpose c bes, \chantMovt "magnificat/toneII/gloriaPatri"
    \layout {
      \layoutTwo
    }
  }
  \score {
    \header {piece = "Sicut erat"}
    \keepWithTag #'mod
    \Quintet "gombert/magnificat/toneII/siEr" "/superius" "/altus"
    "/tenor" "/bassusII" "/bassus"
    \layout {\layoutOne}
    \midi {\tempo 2 = 50}
  }
}